package eno

// Common error code
const (
	errcode_class____system_error = -10000 /////////////////////////
	SYSTEM_ERROR                  = -10000 // unreachable code, maybe a bug.
	UNREACHABLE_CODE              = -10000 // unreachable code, maybe a bug.
	UNKNOWN_ERROR                 = -10000 // unreachable code, maybe a bug.
	DATABASE_ERROR                = -10001 // database error.
	REDIS_ERROR                   = -10002 // redis error.

	errcode_class___request_error = -20000 /////////////////////////
	PARAMETER_INVALID             = -20000 // request parameter error
	APPID_INVALID                 = -20001 // request appid invalid
	API_NOT_FOUND                 = -20404 // api not found

	errcode_class___frontend_jump = 10000 //////////////////////////
	NOT_LOGIN                     = 10400 // user not login
	NEED_PAY_PASSWORD             = 10401 // need input pay password

	errcode_class__haverisk_error = 20000 //////////////////////////
	NEED_CAPTCHA                  = 20001 // need captcha
	LOGIN_FREEZEN                 = 20002 // login freezen by too many errors
)
